#include "mainwindow.h"
#include "ui_mainwindow.h"

double t,dt,u1,u2;
double xmin,xmax,ymin,ymax;


MainWindow::MainWindow(QWidget *parent) :  QMainWindow(parent),
      ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    xmin=-20;xmax=20;
    ymin=-20;ymax=20;
    R=new repere(this,ui->graphicsView,xmin,xmax,ymin,ymax);
    t=0;dt=0.01;
    timer = new QTimer(this);
    connect(timer,SIGNAL(timeout()),this,SLOT(Clock()));
    timer->start(10);
    u1=0; u2=0;
}


MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::keyPressEvent(QKeyEvent *event)
{   switch (event->key())
    {
    case Qt::Key_W: u1=u1+0.1;          break;
    case Qt::Key_X: u1=u1-0.1;          break;
    case Qt::Key_P: u2=u2+0.1;          break;
    case Qt::Key_M: u2=u2-0.1;          break;
    }
}


void MainWindow::Clock()
{       R->Clean();
        Rob.Clock(u1,u2);
        R->DrawRobot(Rob.x,Rob.y,Rob.theta);
        R->DrawEllipse(0, 0,1,QPen(Qt::red),QBrush(Qt::NoBrush));
        t=t+dt;
}

